Bug 514427 - start (nfs-utils) services that will be on in the current runlevel
start (nfs-utils) services that will be on in the current runlevel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 514429
  Show dependency treegraph
 
Reported: 2009-07-29 00:16 EDT by Jerry Amundson
Modified: 2010-10-19 04:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 514429 (view as bug list)
Environment:
Last Closed: 2010-10-18 23:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2009-07-29 00:16:26 EDT
Description of problem:
nfs mount(s) unavailable even after nfs-utils is installed

Version-Release number of selected component (if applicable):
nfs-utils-1.2.0-6.fc12.i586

How reproducible:
once

Steps to Reproduce:
1.install nfs-utils
2.try to mount nfs filesystem
3.
  
Actual results:
/usr/sbin/start-statd: line 8: /sbin/rpc.statd: Permission denied
/usr/sbin/start-statd: line 8: /sbin/rpc.statd: Success
mount.nfs: rpc.statd is not running but is required for remote locking.
mount.nfs: Either use '-o nolock' to keep locks local, or start statd.

Expected results:
mounted filesystem

Additional info:
Don't think, "reboot". That's like Microsoft.
Be proactive. Think, "I'll help the users not have to know or care about his".
Comment 1 Jerry Amundson 2009-07-29 00:37:13 EDT
(In reply to comment #0)
> Be proactive. Think, "I'll help the users not have to know or care about his".  

s/about his/about this/

Though, maybe not, as "service nfs start" from a konsole brought the desktop to a (unusable) crawl at the starting "NFS daemon" point.
Problem there, however, is you've assumed I'm starting an NFS server. When you assume...

Bottom line, logically, is start nfslock. (and, for that matter, chkconfig everything else "off".)
Comment 2 Steve Dickson 2009-07-30 08:29:50 EDT
what are the mode bits on '/sbin/rpc.statd'? (ala ls -l /sbin/rpc.statd)
Is SELinux enabled?
Comment 3 Steve Dickson 2009-07-30 08:46:00 EDT
I wonder if https://bugzilla.redhat.com/show_bug.cgi?id=513481 is
the problem here as well...
Comment 4 Bug Zapper 2009-11-16 06:10:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Leam 2010-08-29 07:22:57 EDT
In F13, installing nfs-utils and nfs-utils-lib fails to have service nfs "on" as reported by "chkconfig -- list". Workaround is to manually change the levels.
Comment 6 Leam 2010-08-29 08:04:04 EDT
Edit comment 5. "NFS" service not required to act as client. Not sure what the earlier issues were; it took an install of nfs-utils and a reboot for it to work the first time. Afterwards, removing nfs-utils, rebooting, and re-installing let the client mount properly. 

Tossup between possible operator error and nfs-utils installing something the first time that fixed the issue and then not removing it when the rpm was pulled.
Comment 7 Steve Dickson 2010-10-18 23:27:24 EDT
Its unclear to me this is a problem... Its on purpose the NFS server 
is not on (i.e. chkconfig on) by default.. So I'm going to close this
bz, please feel free to reopen it.
Comment 8 Leam 2010-10-19 04:57:06 EDT
(In reply to comment #7)
> Its unclear to me this is a problem... Its on purpose the NFS server 
> is not on (i.e. chkconfig on) by default.. So I'm going to close this
> bz, please feel free to reopen it.

Steve,

For comment #6, it took a nfs-utils and reboot to get the machine to act as an NFS client. Would you agree that is a bug?

Thanks!

Leam

Note You need to log in before you can comment on or make changes to this bug.